Subject: Re: Draft Review Request - IRTP IANA Considerations

From: Mykyta Yevstifeyev <[email-masked]>
Date: Tue, 28 Dec 2010 10:19:21 +0200

Hello all,

I am writing to inform you that another two drafts that concern the 
cognate to mentioned below question. So they are:

1) https://datatracker.ietf.org/doc/draft-yevstifeyev-irtp-iana/
2) https://datatracker.ietf.org/doc/draft-yevstifeyev-netblt-iana/
3) https://datatracker.ietf.org/doc/draft-yevstifeyev-rdp-ports-registry/

The first I described below. The second one is the same as first but for 
NETBLT (RFC 998). And the third estabilishes ports registry for RDP (RFC 
1151). I would really appreciate that if you could make a brief review 
of these documents before sending them to AD.

/Apologizing/ for posting twice to the list and thank you for your time. 
You may feel free to contact me at [email-masked] for further 
information.

Best regards,
Mykyta Yevstifeyev

26.12.2010 12:15, Mykyta Yevstifeyev wrote:
> Hello all,
>
> I am writing to request the review (or just an advice) of the draft, 
> that, IMO, is in the scope of Transport Area.
>
> The draft can be found here:
>
> https://datatracker.ietf.org/doc/draft-yevstifeyev-irtp-iana/?include_text=1
>
> It mentions the IANA Considerations for IRTP (see RFC 938). Perhaps 
> you will be at least surprised by it as issues for outdated protocol 
> are discussed. Nevertheless, I have a reason for such effort. As part 
> of Echo protocol update development effort (see 
> https://datatracker.ietf.org/doc/draft-yevstifeyev-rfc862bis-echo/), 
> there is the support of IRTP as a transport-layer protocol for Echo 
> protocol. For this reason, the port registry is needed. No such 
> registry is created so my document serves as a foundation for it. The 
> Packet types registry is created to cover all the issues for IRTP.
>
> So what do you think about this?
>
> All the best,
> Mykyta Yevstifeyev
>
> P.S. I have also contacted David Harrington for an advice. Mykyta.
>

---

From: "t.petch" <[email-masked]>
Date: Tue, 28 Dec 2010 16:41:30 +0100

Mykyta

I am uncertain from your posts just how you intend these I-Ds to progress.

As you may know, most I-Ds progress by being adopted by a WG whose
charter embraces the topic, and which has the resources and energy to
work on the I-D; the former is easy, the latter may be more of a challenge.

Less often, usually when no WG is in the vicinity, an Individual Submission
may gain the support of an AD, who personally pushes it through the process,
ensuring that WGs on related topics are kept informed.  (I dislike this process
because I think that the time of an AD, any AD, is too valuable, and should
be kept for WG matters; I am aware that some critical IETF specifications
advance along this route).

And, as a helpful convention, the third part of an I-D name indicates the area
in
which it falls.

So if you were to ask, on this list, for the adoption of
draft-yevstifeyev-tsvwg-protocol-registry-rst
I would read the I-D and, when the WG chairs invited expressions of support,
would make my view known.

As present, I am more inclined to view these e-mails as noise; I have no plans
to
download the I-Ds.  As ever, this view is a personal one; others may see it
differently.

Tom Petch

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Fri, 31 Dec 2010 07:48:35 +0200

Hello all,

Firstly, happy New Year to all.

Find some comments below.

28.12.2010 17:41, John C Klesin wrote:
> Mykyta,
>
> Are you aware of NetBLT actually being in active use in the
> public Internet, in the form documented in RFC 998?  I'm not,
> but that sort of transport protocol isn't something I've paid
> careful attention to in many years.
Nevertheless, if there /is/ a protocol that uses the IANA-assigned 
values, there should be appropriate registries.
> John C C White's 1997 Internet-Draft,
> http://tools.ietf.org/html/draft-white-protocol-stack-00,
> suggests that, in its original form, NetBLT contained some
> defects that made it undesirable in practice.  That draft also
> suggested an update that would align NetBLT with then-current
> practice in some private (in this case military) network
> applications.  As far as I can tell, that update never went
> anywhere in the IETF, but that is (sadly) typical of such things
> if no one is pushing for it.
>
> Especially if there is not significant evidence of its being in
> active use in RFC 998 form on the public Internet, it might be
> worthwhile to combine your effort to get the IANA registry in
> order with some version or variation on John's draft so as to
> bring the protocol itself up-to-date.
>
> The information on the standard to which John referred is at
> http://www.gwg.nga.mil/ntb/baseline/docs/44500/index.html; it
> doesn't appear to have changed much since his draft was produced.
>
> Even if it isn't useful to try to publish an updated version of
> the specification, it would probably be desirable to get any
> non-998 values used by the military standard into the registry
> as well.
I'll try to read these documents and comment some issues later. However 
I do not think the WG will work on this particular item (updating the 
specification). That is my opinion, of course.
> I've copied John on this note.  Since I don't know if he is
> still at MITRE, I've also copied what is possibly his current
> address based on a web search.  I have no idea whether he would
> still be interested, but he should at least be aware that I'm
> suggesting another look at his 13+ year old work.
>
> best regards and best new year's wishes to both of you,
>      john
>

> advance along this route).
I will not mind it to be adopted as WG document, of course.
> would make my view known.
Yes, now I am asking to adopt the following docs as WG items: 
draft-yevstifeyev-netblt-iana-01, 
draft-yevstifeyev-rdp-ports-registry-01, draft-yevstifeyev-irtp-iana-01. 
For this matter I am copying the message to WG chairs.
> From: "Mykyta Yevstifeyev"<[email-masked]>
> To:<[email-masked]>
>> [....]
>>> [....]
All the best,
Mykyta Yevstifeyev